/**
 */
package entityrelationshipmetamodel.util;

import entityrelationshipmetamodel.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see entityrelationshipmetamodel.EntityrelationshipmetamodelPackage
 * @generated
 */
public class EntityrelationshipmetamodelAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EntityrelationshipmetamodelPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EntityrelationshipmetamodelAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = EntityrelationshipmetamodelPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject) object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EntityrelationshipmetamodelSwitch<Adapter> modelSwitch = new EntityrelationshipmetamodelSwitch<Adapter>() {
		@Override
		public Adapter caseSchema(Schema object) {
			return createSchemaAdapter();
		}

		@Override
		public Adapter caseNode(Node object) {
			return createNodeAdapter();
		}

		@Override
		public Adapter caseElement(Element object) {
			return createElementAdapter();
		}

		@Override
		public Adapter caseInheritance(Inheritance object) {
			return createInheritanceAdapter();
		}

		@Override
		public Adapter caseCategory(Category object) {
			return createCategoryAdapter();
		}

		@Override
		public Adapter caseEntity(Entity object) {
			return createEntityAdapter();
		}

		@Override
		public Adapter caseRelationship(Relationship object) {
			return createRelationshipAdapter();
		}

		@Override
		public Adapter caseAttribute(Attribute object) {
			return createAttributeAdapter();
		}

		@Override
		public Adapter caseLink(Link object) {
			return createLinkAdapter();
		}

		@Override
		public Adapter caseGeneralizationLink(GeneralizationLink object) {
			return createGeneralizationLinkAdapter();
		}

		@Override
		public Adapter caseInheritanceGL(InheritanceGL object) {
			return createInheritanceGLAdapter();
		}

		@Override
		public Adapter caseSpecializationLink(SpecializationLink object) {
			return createSpecializationLinkAdapter();
		}

		@Override
		public Adapter caseInheritanceSL(InheritanceSL object) {
			return createInheritanceSLAdapter();
		}

		@Override
		public Adapter caseCategoryGL(CategoryGL object) {
			return createCategoryGLAdapter();
		}

		@Override
		public Adapter caseCategorySL(CategorySL object) {
			return createCategorySLAdapter();
		}

		@Override
		public Adapter caseDirectInheritanceLink(DirectInheritanceLink object) {
			return createDirectInheritanceLinkAdapter();
		}

		@Override
		public Adapter caseRelationshipLink(RelationshipLink object) {
			return createRelationshipLinkAdapter();
		}

		@Override
		public Adapter caseChenLink(ChenLink object) {
			return createChenLinkAdapter();
		}

		@Override
		public Adapter caseMinMaxLink(MinMaxLink object) {
			return createMinMaxLinkAdapter();
		}

		@Override
		public Adapter caseAttributeLink(AttributeLink object) {
			return createAttributeLinkAdapter();
		}

		@Override
		public Adapter caseNotation(Notation object) {
			return createNotationAdapter();
		}

		@Override
		public Adapter defaultCase(EObject object) {
			return createEObjectAdapter();
		}
	};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject) target);
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Schema <em>Schema</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Schema
	 * @generated
	 */
	public Adapter createSchemaAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Node <em>Node</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Node
	 * @generated
	 */
	public Adapter createNodeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Element <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Element
	 * @generated
	 */
	public Adapter createElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Inheritance <em>Inheritance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Inheritance
	 * @generated
	 */
	public Adapter createInheritanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Category <em>Category</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Category
	 * @generated
	 */
	public Adapter createCategoryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Entity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Entity
	 * @generated
	 */
	public Adapter createEntityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Relationship <em>Relationship</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Relationship
	 * @generated
	 */
	public Adapter createRelationshipAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Attribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Attribute
	 * @generated
	 */
	public Adapter createAttributeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Link <em>Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Link
	 * @generated
	 */
	public Adapter createLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.GeneralizationLink <em>Generalization Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.GeneralizationLink
	 * @generated
	 */
	public Adapter createGeneralizationLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.InheritanceGL <em>Inheritance GL</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.InheritanceGL
	 * @generated
	 */
	public Adapter createInheritanceGLAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.SpecializationLink <em>Specialization Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.SpecializationLink
	 * @generated
	 */
	public Adapter createSpecializationLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.InheritanceSL <em>Inheritance SL</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.InheritanceSL
	 * @generated
	 */
	public Adapter createInheritanceSLAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.CategoryGL <em>Category GL</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.CategoryGL
	 * @generated
	 */
	public Adapter createCategoryGLAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.CategorySL <em>Category SL</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.CategorySL
	 * @generated
	 */
	public Adapter createCategorySLAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.DirectInheritanceLink <em>Direct Inheritance Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.DirectInheritanceLink
	 * @generated
	 */
	public Adapter createDirectInheritanceLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.RelationshipLink <em>Relationship Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.RelationshipLink
	 * @generated
	 */
	public Adapter createRelationshipLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.ChenLink <em>Chen Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.ChenLink
	 * @generated
	 */
	public Adapter createChenLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.MinMaxLink <em>Min Max Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.MinMaxLink
	 * @generated
	 */
	public Adapter createMinMaxLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.AttributeLink <em>Attribute Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.AttributeLink
	 * @generated
	 */
	public Adapter createAttributeLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link entityrelationshipmetamodel.Notation <em>Notation</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see entityrelationshipmetamodel.Notation
	 * @generated
	 */
	public Adapter createNotationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //EntityrelationshipmetamodelAdapterFactory
