/**
 */
package entityrelationshipmetamodel.util;

import entityrelationshipmetamodel.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see entityrelationshipmetamodel.EntityrelationshipmetamodelPackage
 * @generated
 */
public class EntityrelationshipmetamodelSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static EntityrelationshipmetamodelPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EntityrelationshipmetamodelSwitch() {
		if (modelPackage == null) {
			modelPackage = EntityrelationshipmetamodelPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
		case EntityrelationshipmetamodelPackage.SCHEMA: {
			Schema schema = (Schema) theEObject;
			T result = caseSchema(schema);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.NODE: {
			Node node = (Node) theEObject;
			T result = caseNode(node);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.ELEMENT: {
			Element element = (Element) theEObject;
			T result = caseElement(element);
			if (result == null)
				result = caseNode(element);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.INHERITANCE: {
			Inheritance inheritance = (Inheritance) theEObject;
			T result = caseInheritance(inheritance);
			if (result == null)
				result = caseNode(inheritance);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.CATEGORY: {
			Category category = (Category) theEObject;
			T result = caseCategory(category);
			if (result == null)
				result = caseNode(category);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.ENTITY: {
			Entity entity = (Entity) theEObject;
			T result = caseEntity(entity);
			if (result == null)
				result = caseElement(entity);
			if (result == null)
				result = caseNode(entity);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.RELATIONSHIP: {
			Relationship relationship = (Relationship) theEObject;
			T result = caseRelationship(relationship);
			if (result == null)
				result = caseElement(relationship);
			if (result == null)
				result = caseNode(relationship);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.ATTRIBUTE: {
			Attribute attribute = (Attribute) theEObject;
			T result = caseAttribute(attribute);
			if (result == null)
				result = caseElement(attribute);
			if (result == null)
				result = caseNode(attribute);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.LINK: {
			Link link = (Link) theEObject;
			T result = caseLink(link);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.GENERALIZATION_LINK: {
			GeneralizationLink generalizationLink = (GeneralizationLink) theEObject;
			T result = caseGeneralizationLink(generalizationLink);
			if (result == null)
				result = caseLink(generalizationLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.INHERITANCE_GL: {
			InheritanceGL inheritanceGL = (InheritanceGL) theEObject;
			T result = caseInheritanceGL(inheritanceGL);
			if (result == null)
				result = caseGeneralizationLink(inheritanceGL);
			if (result == null)
				result = caseLink(inheritanceGL);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.SPECIALIZATION_LINK: {
			SpecializationLink specializationLink = (SpecializationLink) theEObject;
			T result = caseSpecializationLink(specializationLink);
			if (result == null)
				result = caseLink(specializationLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.INHERITANCE_SL: {
			InheritanceSL inheritanceSL = (InheritanceSL) theEObject;
			T result = caseInheritanceSL(inheritanceSL);
			if (result == null)
				result = caseSpecializationLink(inheritanceSL);
			if (result == null)
				result = caseLink(inheritanceSL);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.CATEGORY_GL: {
			CategoryGL categoryGL = (CategoryGL) theEObject;
			T result = caseCategoryGL(categoryGL);
			if (result == null)
				result = caseGeneralizationLink(categoryGL);
			if (result == null)
				result = caseLink(categoryGL);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.CATEGORY_SL: {
			CategorySL categorySL = (CategorySL) theEObject;
			T result = caseCategorySL(categorySL);
			if (result == null)
				result = caseSpecializationLink(categorySL);
			if (result == null)
				result = caseLink(categorySL);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.DIRECT_INHERITANCE_LINK: {
			DirectInheritanceLink directInheritanceLink = (DirectInheritanceLink) theEObject;
			T result = caseDirectInheritanceLink(directInheritanceLink);
			if (result == null)
				result = caseLink(directInheritanceLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.RELATIONSHIP_LINK: {
			RelationshipLink relationshipLink = (RelationshipLink) theEObject;
			T result = caseRelationshipLink(relationshipLink);
			if (result == null)
				result = caseLink(relationshipLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.CHEN_LINK: {
			ChenLink chenLink = (ChenLink) theEObject;
			T result = caseChenLink(chenLink);
			if (result == null)
				result = caseNotation(chenLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.MIN_MAX_LINK: {
			MinMaxLink minMaxLink = (MinMaxLink) theEObject;
			T result = caseMinMaxLink(minMaxLink);
			if (result == null)
				result = caseNotation(minMaxLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.ATTRIBUTE_LINK: {
			AttributeLink attributeLink = (AttributeLink) theEObject;
			T result = caseAttributeLink(attributeLink);
			if (result == null)
				result = caseLink(attributeLink);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		case EntityrelationshipmetamodelPackage.NOTATION: {
			Notation notation = (Notation) theEObject;
			T result = caseNotation(notation);
			if (result == null)
				result = defaultCase(theEObject);
			return result;
		}
		default:
			return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Schema</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Schema</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSchema(Schema object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Node</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Node</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNode(Node object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseElement(Element object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Inheritance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Inheritance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInheritance(Inheritance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Category</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Category</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCategory(Category object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEntity(Entity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Relationship</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Relationship</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRelationship(Relationship object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttribute(Attribute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLink(Link object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Generalization Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Generalization Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGeneralizationLink(GeneralizationLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Inheritance GL</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Inheritance GL</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInheritanceGL(InheritanceGL object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Specialization Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Specialization Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSpecializationLink(SpecializationLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Inheritance SL</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Inheritance SL</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInheritanceSL(InheritanceSL object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Category GL</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Category GL</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCategoryGL(CategoryGL object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Category SL</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Category SL</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCategorySL(CategorySL object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Direct Inheritance Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Direct Inheritance Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDirectInheritanceLink(DirectInheritanceLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Relationship Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Relationship Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRelationshipLink(RelationshipLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Chen Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Chen Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseChenLink(ChenLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Min Max Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Min Max Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMinMaxLink(MinMaxLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute Link</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute Link</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeLink(AttributeLink object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Notation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Notation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNotation(Notation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //EntityrelationshipmetamodelSwitch
